import { ModuleWithProviders } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { IndexComponent } from './index/index.component';
import { DashboardComponent } from './dashboard/dashboard.component';
import { TncComponent } from './tnc/tnc.component';
import { PrivacyComponent } from './privacy/privacy.component';
import { TnsComponent } from './tns/tns.component';


const ModuleRoutes: Routes = [
    
    { path: 'index', component: IndexComponent},
    { path: 'dashboard', component: DashboardComponent},
    { path: 'termscondition', component: TncComponent},
    { path: 'termsservice', component: TnsComponent},
    { path: 'privacy', component: PrivacyComponent}
    
];

export const moduleRouting: ModuleWithProviders = RouterModule.forChild(ModuleRoutes)

