import { ModuleWithProviders } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { ProductlistComponent } from './productlist/productlist.component';
import { ProductdetailsComponent } from './productdetails/productdetails.component';
import { CartComponent } from './cart/cart.component';
import { OrdersComponent } from './orders/orders.component';
import { RatingComponent } from './rating/rating.component';
import { TrackComponent } from './track/track.component';
import { AddressComponent } from './address/address.component';
import { SummaryComponent } from './summary/summary.component';

const ModuleRoutes: Routes = [
    { path: 'productlist', component: ProductlistComponent},
    { path: 'productdetails', component: ProductdetailsComponent},
    { path: 'cart', component: CartComponent },
    { path: 'orders', component: OrdersComponent },
    { path: 'rating', component: RatingComponent },
    { path: 'track', component: TrackComponent },
    { path: 'address', component: AddressComponent },
    { path: 'summary', component: SummaryComponent }

];

export const moduleRouting: ModuleWithProviders = RouterModule.forChild(ModuleRoutes)

